Page MenuHomePhabricator

When laying out dashboards, provide more options and a better (visual) selection control
Closed, WontfixPublic

Description

Right now we only provide column-based layouts. I think it'd be reasonably easy to also allow groups (rows). You would create a new dashboard, create a column layout, and that would be "Group 1" (or Row 1). You could then add another "Group" and set a completely different column layout.

Or we could just let you embed Dashboards into Dashboards.

Event Timeline

chad created this task.Oct 31 2014, 10:02 PM
chad raised the priority of this task from to Low.
chad updated the task description. (Show Details)
chad added a project: Dashboards.
chad added a subscriber: chad.
20after4 added a subscriber: 20after4.

I think we can accommodate this with 1 + 2 and 1 + 3 layouts?

+---------------------+
|                     |
|                     |
+---------------------+
+---------+ +---------+
|         | |         |
|         | |         |
+---------+ +---------+
+---------------------+
|                     |
|                     |
+---------------------+
+-----+ +-----+ +-----+
|     | |     | |     |
|     | |     | |     |
+-----+ +-----+ +-----+

Is there any other reasonable layout that's not a giant mess (particularly given that columns may be uneven)?

I guess maaaaaaaaaaybe this is sort-of reasonable:

+-------------+ +-----+
|             | |     |
|             | |     |
+-------------+ |     |
+-----+ +-----+ |     |
|     | |     | |     |
|     | |     | |     |
+-----+ +-----+ +-----+

But I think the number of plausibly realistic layouts here is small and we can get away with hard coding them all without letting you embed dashboards in other dashboards.

I think this is all remotely reasonable layouts, exhaustively:

One Column
+---------------------+
|                     |
|                     |
|                     |
|                     |
|                     |
|                     |
+---------------------+
Two Column (50/50)
+---------+ +---------+
|         | |         |
|         | |         |
|         | |         |
|         | |         |
|         | |         |
|         | |         |
+---------+ +---------+
Two Column (33/66)
+-----+ +-------------+
|     | |             |
|     | |             |
|     | |             |
|     | |             |
|     | |             |
|     | |             |
+-----+ +-------------+
Two Column (66/33)
+-------------+ +-----+
|             | |     |
|             | |     |
|             | |     |
|             | |     |
|             | |     |
|             | |     |
+-------------+ +-----+
Three Column
+-----+ +-----+ +-----+
|     | |     | |     |
|     | |     | |     |
|     | |     | |     |
|     | |     | |     |
|     | |     | |     |
|     | |     | |     |
+-----+ +-----+ +-----+
Two Column (50/50) + Header 
+---------------------+
|                     |
|                     |
+---------------------+
+---------+ +---------+
|         | |         |
|         | |         |
+---------+ +---------+
Two Column (33/66) + Header
+---------------------+
|                     |
|                     |
+---------------------+
+-----+ +-------------+
|     | |             |
|     | |             |
+-----+ +-------------+
Two Column (66/33) + Header
+---------------------+
|                     |
|                     |
+---------------------+
+-------------+ +-----+
|             | |     |
|             | |     |
+-------------+ +-----+
`
Three Column + Header
+---------------------+
|                     |
|                     |
+---------------------+
+-----+ +-----+ +-----+
|     | |     | |     |
|     | |     | |     |
+-----+ +-----+ +-----+
Three Column + Left Header
+-------------+ +-----+
|             | |     |
|             | |     |
+-------------+ |     |
+-----+ +-----+ |     |
|     | |     | |     |
|     | |     | |     |
+-----+ +-----+ +-----+
Three Column + Right Header
+-----+ +-------------+
|     | |             |
|     | |             |
|     | +-------------+
|     | +-----+ +-----+
|     | |     | |     |
|     | |     | |     |
+-----+ +-----+ +-----+
chad added a comment.Nov 1 2014, 4:11 AM

Didn't you have to hand out candy tonight?

chad added a comment.Nov 1 2014, 4:15 AM

I'm fine if we just simplify it to Header + Current Layout Options. It'd likely solve 90% of the outstanding needs. I don't feel three column layouts are particularly useful for us (that is, we have a task for a 3 column, but it doesn't seem to have much interest).

epriestley renamed this task from Create DashboardGroup layout for providing additional flexibility on laying out a dashboard to When laying out dashboards, provide more options and a better (visual) selection control.Nov 27 2014, 1:06 PM
epriestley added subscribers: btrahan, lpriestley, qgil.
hskiba added a subscriber: hskiba.Mar 21 2018, 5:06 AM
epriestley moved this task from Backlog to Next on the Dashboards board.Mar 31 2019, 10:05 PM
epriestley closed this task as Wontfix.Apr 8 2019, 5:09 PM
epriestley claimed this task.

This might be nice to have some day, but we don't really have open requests for it and I don't have any particular plans to pursue it. The existing set of options seem reasonably sufficient and clear as-is.